# Submit a 3DS Authentication

This endpoint submits a 3DS Authentication. You can submit a 3DS Authentication object when it has status `requires_submission`. Refer to the [Submit the 3DS Authentication object section of the Standalone 3DS guide](https://docs.stripe.com/payments/3d-secure/standalone-3d-secure.md#submit-the-3ds-authentication-object) for more information.

## Request

```curl
curl https://api.stripe.com/v1/three_d_secure/authentications/tdsa_1Qqya0JM0r9zBvr4NYvKScn2/submit \
  -u "<<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive" \
  -d fingerprinting_result=eyJ0aHJlZURTU2VydmVyVHJhbnNJRCI6IjEwNTM3OWIxLTdhNmYtNGE5Ni1iM2FiLTI4YzlkYmJjOTYxNiJ9
```

### Response

```json
{
  "id": "tdsa_1Qqya0JM0r9zBvr4NYvKScn2",
  "object": "three_d_secure.authentication",
  "acquirer_details": {
    "acquirer_bin": "424242",
    "acquirer_merchant_id": "050661454304761",
    "requestor_id": "V0000000001234"
  },
  "amount": 1000,
  "channel": {
    "browser": {
      "accept_header": "Accept:  *.*;",
      "color_depth": 24,
      "ip_address": "1.12.123.255",
      "java_enabled": false,
      "javascript_enabled": true,
      "language": "en-US",
      "screen_height": 756,
      "screen_width": 1528,
      "timezone_offset": 0,
      "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/122.0.0.0 Safari/537.36"
    },
    "type": "browser"
  },
  "currency": "eur",
  "directory_server": "visa",
  "flow_preference": {
    "type": "frictionless"
  },
  "livemode": false,
  "message_category": "payment_authentication",
  "outcome": "attempt_acknowledged",
  "payment_method": "pm_1Qqya0JM0r9zBvr4o2W2J7GU",
  "status": "succeeded"
}
```

## Parameters

- `id` (string, required)
  Unique identifier for the object.

- `fingerprinting_result` (string, optional)
  The fingerprinting result of the issuer fingerprinting step.

  Refer to the [Issuer fingerprinting section of the Standalone 3DS guide](https://docs.stripe.com/payments/3d-secure/standalone-3d-secure.md#issuer-fingerprinting) for more information.

- `metadata` (map, optional)
  Set of [key-value pairs](https://docs.stripe.com/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

## Returns

Returns a 3DS Authentication object.
